package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校定位对象 mall_school_position
 * 
 * @author ruoyi
 * @date 2023-10-28
 */
public class MallSchoolPosition extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校定位 */
    @Excel(name = "学校定位")
    private Long positionId;

    /** 定位名称 */
    @Excel(name = "定位名称")
    private String positionName;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常1-,删除) */
    @Excel(name = "删除标记(0-正常1-,删除)")
    private String delFlag;

    public void setPositionId(Long positionId) 
    {
        this.positionId = positionId;
    }

    public Long getPositionId() 
    {
        return positionId;
    }
    public void setPositionName(String positionName) 
    {
        this.positionName = positionName;
    }

    public String getPositionName() 
    {
        return positionName;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("positionId", getPositionId())
            .append("positionName", getPositionName())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
